Package org.eclipse.graphiti.mm.algorithms.styles

## Interface Point

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PointImpl`

    public interface Point
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Point'.

The following features are supported:

- `X`
- `Y`
- `Before`
- `After`

See Also:
  `StylesPackage.getPoint()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getAfter()` Returns the value of the 'After' attribute.
`int` `getBefore()` Returns the value of the 'Before' attribute.
`int` `getX()` Returns the value of the 'X' attribute.
`int` `getY()` Returns the value of the 'Y' attribute.
`void` `setAfter​(int value)` Sets the value of the '`After`' attribute.
`void` `setBefore​(int value)` Sets the value of the '`Before`' attribute.
`void` `setX​(int value)` Sets the value of the '`X`' attribute.
`void` `setY​(int value)` Sets the value of the '`Y`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getX

    int getX()

Returns the value of the 'X' attribute.

If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'X' attribute.
See Also:
  `setX(int)`, `StylesPackage.getPoint_X()`

#### setX

    void setX​(int value)

Sets the value of the '`X`' attribute.

Parameters:
  `value` - the new value of the 'X' attribute.
See Also:
  `getX()`

#### getY

    int getY()

Returns the value of the 'Y' attribute.

If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Y' attribute.
See Also:
  `setY(int)`, `StylesPackage.getPoint_Y()`

#### setY

    void setY​(int value)

Sets the value of the '`Y`' attribute.

Parameters:
  `value` - the new value of the 'Y' attribute.
See Also:
  `getY()`

#### getBefore

    int getBefore()

Returns the value of the 'Before' attribute.

If the meaning of the 'Before' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Before' attribute.
See Also:
  `setBefore(int)`, `StylesPackage.getPoint_Before()`

#### setBefore

    void setBefore​(int value)

Sets the value of the '`Before`' attribute.

Parameters:
  `value` - the new value of the 'Before' attribute.
See Also:
  `getBefore()`

#### getAfter

    int getAfter()

Returns the value of the 'After' attribute.

If the meaning of the 'After' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'After' attribute.
See Also:
  `setAfter(int)`, `StylesPackage.getPoint_After()`

#### setAfter

    void setAfter​(int value)

Sets the value of the '`After`' attribute.

Parameters:
  `value` - the new value of the 'After' attribute.
See Also:
  `getAfter()`